{#- For name header -#}
#ifndef {{ name|upper }}_LAYER_H
#define {{ name|upper }}_LAYER_H

{# For layer configuration -#}

#define {{name|upper}}_AXIS {{ axis }}

#define {{name|upper}}_INDEXES_DIMS_SIZE {{ indices|length}}
#define {{name|upper}}_INPUT_DIMS_SIZE {{ input_dims|length}}

#define {{name|upper}}_OUTPUT_SIZE {{ nb_outputs}}


#endif /* {{ name|upper }}_LAYER_H */
